> ## Documentation Index
> Fetch the complete documentation index at: https://gnosispay-feat-v2-auth-module.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Onboarding Status

> Get the current onboarding status for the authenticated user. Returns a
tagged union indicating the current step and any required actions.



## OpenAPI

````yaml https://core.prod.gnosispay.com/user-api/openapi.json get /user/onboarding
openapi: 3.1.0
info:
  title: User Service
  version: 0.0.0
servers: []
security: []
tags:
  - name: Health
  - name: Auth
  - name: User
  - name: Cards
  - name: Phone
  - name: PCI
  - name: Terms
  - name: Source of Funds
paths:
  /user/onboarding:
    get:
      tags:
        - User
      summary: Get Onboarding Status
      description: |-
        Get the current onboarding status for the authenticated user. Returns a
        tagged union indicating the current step and any required actions.
      operationId: User_getUserOnboarding
      parameters: []
      responses:
        '200':
          description: The request has succeeded.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OnboardingStatus'
        '401':
          description: Access is unauthorized.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Unauthorized'
        '404':
          description: The server cannot find the requested resource.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFound'
        '502':
          description: Server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetUserOnboardingBadGateway'
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - BearerAuth: []
components:
  schemas:
    OnboardingStatus:
      type: object
      oneOf:
        - $ref: '#/components/schemas/OnboardingStatusActionAcceptTos'
        - $ref: '#/components/schemas/OnboardingStatusWaitingKycSetup'
        - $ref: '#/components/schemas/OnboardingStatusActionCompleteKyc'
        - $ref: '#/components/schemas/OnboardingStatusKycManualReview'
        - $ref: '#/components/schemas/OnboardingStatusActionKycResubmissionRequested'
        - $ref: '#/components/schemas/OnboardingStatusActionCompleteSof'
        - $ref: '#/components/schemas/OnboardingStatusActionCreateAccount'
        - $ref: '#/components/schemas/OnboardingStatusWaitingAccountSetup'
        - $ref: '#/components/schemas/OnboardingStatusRejected'
        - $ref: '#/components/schemas/OnboardingStatusCompleted'
      discriminator:
        propertyName: status
        mapping:
          action_accept_tos:
            $ref: '#/components/schemas/OnboardingStatusActionAcceptTos'
          waiting_kyc_setup:
            $ref: '#/components/schemas/OnboardingStatusWaitingKycSetup'
          action_complete_kyc:
            $ref: '#/components/schemas/OnboardingStatusActionCompleteKyc'
          kyc_manual_review:
            $ref: '#/components/schemas/OnboardingStatusKycManualReview'
          action_kyc_resubmission_requested:
            $ref: >-
              #/components/schemas/OnboardingStatusActionKycResubmissionRequested
          action_complete_sof:
            $ref: '#/components/schemas/OnboardingStatusActionCompleteSof'
          action_create_account:
            $ref: '#/components/schemas/OnboardingStatusActionCreateAccount'
          waiting_account_setup:
            $ref: '#/components/schemas/OnboardingStatusWaitingAccountSetup'
          rejected:
            $ref: '#/components/schemas/OnboardingStatusRejected'
          completed:
            $ref: '#/components/schemas/OnboardingStatusCompleted'
      description: Onboarding status tagged union (discriminated by `status`).
    Unauthorized:
      type: object
      required:
        - success
        - error
      properties:
        success:
          type: boolean
          enum:
            - false
        error:
          type: string
    NotFound:
      type: object
      required:
        - success
        - error
      properties:
        success:
          type: boolean
          enum:
            - false
        error:
          type: string
    GetUserOnboardingBadGateway:
      type: object
      required:
        - success
        - error
      properties:
        success:
          type: boolean
          enum:
            - false
        error:
          type: string
    Error:
      type: object
      required:
        - success
        - error
      properties:
        success:
          type: boolean
          enum:
            - false
        error:
          type: string
    OnboardingStatusActionAcceptTos:
      type: object
      required:
        - status
        - terms
      properties:
        status:
          type: string
          enum:
            - action_accept_tos
        terms:
          type: array
          items:
            $ref: '#/components/schemas/UserTermsStatus'
    OnboardingStatusWaitingKycSetup:
      type: object
      required:
        - status
      properties:
        status:
          type: string
          enum:
            - waiting_kyc_setup
    OnboardingStatusActionCompleteKyc:
      type: object
      required:
        - status
        - webSdkUrl
      properties:
        status:
          type: string
          enum:
            - action_complete_kyc
        webSdkUrl:
          type: string
    OnboardingStatusKycManualReview:
      type: object
      required:
        - status
        - comments
      properties:
        status:
          type: string
          enum:
            - kyc_manual_review
        comments:
          anyOf:
            - type: string
            - type: 'null'
    OnboardingStatusActionKycResubmissionRequested:
      type: object
      required:
        - status
        - webSdkUrl
        - comments
      properties:
        status:
          type: string
          enum:
            - action_kyc_resubmission_requested
        webSdkUrl:
          type: string
        comments:
          anyOf:
            - type: string
            - type: 'null'
    OnboardingStatusActionCompleteSof:
      type: object
      required:
        - status
        - questions
        - version
      properties:
        status:
          type: string
          enum:
            - action_complete_sof
        questions:
          type: array
          items:
            $ref: '#/components/schemas/OnboardingSofQuestion'
        version:
          type: number
    OnboardingStatusActionCreateAccount:
      type: object
      required:
        - status
      properties:
        status:
          type: string
          enum:
            - action_create_account
    OnboardingStatusWaitingAccountSetup:
      type: object
      required:
        - status
      properties:
        status:
          type: string
          enum:
            - waiting_account_setup
    OnboardingStatusRejected:
      type: object
      required:
        - status
        - reason
      properties:
        status:
          type: string
          enum:
            - rejected
        reason:
          type: string
        rejectLabels:
          anyOf:
            - type: array
              items:
                type: string
            - type: 'null'
        comments:
          anyOf:
            - type: string
            - type: 'null'
    OnboardingStatusCompleted:
      type: object
      required:
        - status
      properties:
        status:
          type: string
          enum:
            - completed
    UserTermsStatus:
      type: object
      required:
        - type
        - currentVersion
        - name
        - url
        - accepted
        - acceptedVersion
        - acceptedAt
      properties:
        type:
          type: string
        currentVersion:
          type: string
        name:
          type: string
        url:
          anyOf:
            - type: string
            - type: 'null'
        accepted:
          type: boolean
        acceptedVersion:
          anyOf:
            - type: string
            - type: 'null'
        acceptedAt:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
    OnboardingSofQuestion:
      type: object
      required:
        - id
        - question
        - answers
      properties:
        id:
          type: string
        question:
          type: string
        answers:
          type: array
          items:
            type: string
  securitySchemes:
    BearerAuth:
      type: http
      scheme: Bearer

````